# FTXUI: EntryState Struct Reference

Loading...
Searching...
No Matches
EntryState Struct Reference

arguments for transform from |ButtonOption|, |CheckboxOption|, |RadioboxOption|, |MenuEntryOption|, |MenuOption|. More...

`#include <component_options.hpp>`

## Public Attributes

std::string | label
| The label to display.
bool | state
| The state of the button/checkbox/radiobox.
bool | active
| Whether the entry is the active one.
bool | focused
| Whether the entry is one focused by the user.
int | index
| Index of the entry when applicable or -1.

## Detailed Description

arguments for transform from |ButtonOption|, |CheckboxOption|, |RadioboxOption|, |MenuEntryOption|, |MenuOption|.

Examples
  examples/component/button.cpp, examples/component/dropdown_custom.cpp, examples/component/menu_entries.cpp, and examples/component/menu_style.cpp.

Definition at line 23 of file component_options.hpp.

## Member Data Documentation

## label

std::string label

The label to display.

Definition at line 24 of file component_options.hpp.

## state

bool state

The state of the button/checkbox/radiobox.

Definition at line 25 of file component_options.hpp.

## active

bool active

Whether the entry is the active one.

Definition at line 26 of file component_options.hpp.

## focused

bool focused

Whether the entry is one focused by the user.

Definition at line 27 of file component_options.hpp.

## index

int index

Index of the entry when applicable or -1.

Definition at line 28 of file component_options.hpp.

The documentation for this struct was generated from the following file:

- component_options.hpp